#ifndef _DBUS_IFACE_H
#define _DBUS_IFACE_H

//#ifdef HAVE_CONFIG_H
//#include "config.h"
//#endif

//#ifdef HAVE_DBUS
#include <dbus/dbus.h>

#ifdef __cplusplus
extern "C"
{
#endif


enum { FLY_DBUS_TIMEOUT = 2000 };	/* Reply timeout, standard is DBUS_TIMEOUT_USE_DEFAULT is -1*/

/*return -1 (undefined, 0 - yes, >0 - no)*/
extern int   dbus_CKit_CanStop(void);
extern int   dbus_CKit_CanRestart(void);
/*dont forget "free retError"*/
extern char* dbus_CKit_Stop(void);
extern char* dbus_CKit_Restart(void);

/*return -1 (undefined, 0 - yes, >0 - no)*/
extern int   dbus_UPower_CanStandby(void);
extern int   dbus_UPower_CanSuspend(void);
extern int   dbus_UPower_CanHibernate(void);
/*dont forget "free retError"*/
extern char* dbus_UPower_Standby(void);
extern char* dbus_UPower_Suspend(void);
extern char* dbus_UPower_Hibernate(void);

extern DBusConnection * fly_dbus_connect(DBusBusType bus_type);
extern int fly_dbus_read_result_boolean(DBusMessage * reply); //'reply' will be unref. there

extern int fly_dbus_setenv(const char *var, const char *val, DBusBusType bus_type); /*alex*/

#ifdef __cplusplus
}
#endif


//#endif

#endif

